<?
include './system/common.php';
include './system/functions.php';
include './system/user.php';
    
if(!$user) {//Переадресация для не авторизованных
header('location: /');    
exit;}



$max = 10;
$count = mysql_result(mysql_query('SELECT COUNT(*) FROM `users`'),0);
if($count > '1000'){ $count=1000;}
$pages = ceil($count/$max);
$page = _string(_num($_GET['page']));

if($page > $pages) {$page = $pages;}
if($page < 1) {$page = 1;}
$start = $page * $max - $max;

$i = ($page * 10 - 10 );




$q = mysql_query('SELECT * FROM `users` ORDER BY `str`+`vit`+`def` DESC LIMIT '.$start.', '.$max.'');
$title='Рейтинг самых сильных';//Вывод заголовка
include './system/h.php';  
echo'<div class="title">'.$title.'</div>';

 

while($row = mysql_fetch_array($q)) {//Вывод игроков
$i++;
echo'<div class="block_link"><a href="/user/'.$row['id'].'/">'; 
if($user['id'] == $row[id])echo ' <font color="lime"> '.$i.'. </font>';
else echo ''.$i.'';
echo''.nick($row['id']).' ';
$a=array($row['vit'],$row['str'],$row['def']);//Додаем параметры
echo array_sum($a);//Выводим то, что получмлось


echo'</a></div>
<div class="line"></div>';
}
echo''.pages('/rating?').'';//Вывод страниц


echo'<div class="line"></div>';
include './system/f.php';

?>